DROP FUNCTION IF EXISTS patstat2021_lab.firm_detection_2;

DELIMITER $$
$$

CREATE DEFINER=`user`@`%` FUNCTION `patstat2021_lab`.`firm_detection_2`(myString VARCHAR(300)) RETURNS varchar(15) CHARSET utf8
    READS SQL DATA
    DETERMINISTIC
BEGIN
    DECLARE Tag VARCHAR(15);


    IF myString regexp('( |^)&([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ACADEMY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ACCESS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ADVANCED([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)AGRICULTURAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)AGRICULTURE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ALUMINIUM([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)AMERICA([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ANALOG([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)APPLIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)APPLIED([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)AUTOMATED([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)AUTOMATIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)AUTOMATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)AUTOMOBILE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)AUTOMOTIVE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)BIOMEDICAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)BIOPHARMACEUTICALS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)BIOTECHNOLOGY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)BIOTHERAPY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)BOARD([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)BODY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)BROADCAST([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)BROADCASTING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)BUILD([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)BUILDING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CANCER([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CAPITAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CARBONE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CARD([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CARDS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CHEM([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CHEMIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CHEMICAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CHEMICALS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COFFEE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COGNITIVE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COLOURS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COM([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COMMERCIAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COMMUNICATI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COMMUNICATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COMMUNICATIONS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COMPA([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COMPAN([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COMPONENT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COMPONENTS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COMPUTER([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONCEPT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONCEPTS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONCRETOS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONNECTORS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONSTR([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONSTRUCTION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONSUMER([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONTRACTING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONTRO([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONTROL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CONTROLS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COSMETIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COSMETICS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COSTRUZIONI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COSTRUZIONI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)COVER([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)CREATIONS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DATA([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DEFENSE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DESARROLLO([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DESIGN([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DESIGNED([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DEV([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DEVELOP([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DEVELOPED([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DEVICES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DIAGNOSTIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DIAGNOSTICS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DIGITAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DISCOVERY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DISENOS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DISPLAYS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DISTANCE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DISTRIBUTORS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)DRIVE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ELECT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ELECTRIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ELECTRIXC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ELECTRON([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ELECTRONICS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EMULATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENERGETIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENERGIETECH([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENERGY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENG([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENG([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENG([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENGI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENGINE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENTERTAINM([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENTERTRAINMENT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENTPR([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENVIRONMENT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ENVIRONMENTAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EQU([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EQUI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EQUI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EQUIPM([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EQUIPME([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EQUIPMEN([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EQUIPMENTS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EVOLUTION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EXCHANG([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)EXCHANGE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)FAB([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)FABRICATOR([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)FARMACEUTICI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)FINANCES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)FLEXIBLES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)FLUID([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)FLUIDS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)FOOD([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)FORMS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)GAMING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)GAS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)GENERAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)GENETIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)GENETICS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)GLOBAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)GRANDES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)GREEN([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)HEALTH([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)HEALTHCARE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)HOLDING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)HOSPITALS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)HUMAN([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)HUMAN([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)IMAGE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)IND([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INDUSTRY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INFORMATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INFRASTRUCTURE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INGENIERIA([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INJECTION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INNOVATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INNOVATIONS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INNOVATIONS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INNOVATIVE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INNOVATIVE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INSPIRATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INSTALLATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INSTALLATIONS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INSTITUCIO([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INSTITUTE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INSTR([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INTELLECTUAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INTELLIGENT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INTERACTIVE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INTERNACIONALES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INTERNAT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INTERNATIONAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INTUITIVE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INVENTIONS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INVESTIGACION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INVESTIGACIONES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)INVESTISSEMENT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)IST([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)LICENSING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)LIGHT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)LIMIT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)LIMTITED([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MACH([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MACHI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MACHINERY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MACHINES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MAGNETI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MANUFACT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MANUFACTURER([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MANUFACTURERS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MATERIAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MED([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MEDICAS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MEDICINA([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)METAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MICROELECTRONICS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MICROPART([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MICROSYSTEMS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MINERALE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MOBILE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MOLDING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MOLECULAR([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MOLECULAR([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MOTOR([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MOVILIDAD([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MUEBLES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)MULTIMEDIA([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)NAVY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)NETWORK([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)NETWORKS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)NUCLEAR([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)NUTRITION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)OFFICE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)OFFICINE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)OIL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)OPERATE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)OPERATING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)OPERATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)OPERATIONS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)OPTICAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PACKAGING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PATENTES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PHARMA([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PHARMACEUTIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PHONES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PLANET([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PLANT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PLASTICS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PLATCIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)POLITECNICO([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)POLYESTER([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)POPULATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)POWER([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PRACTICAS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PRINTING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PROCE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PROD([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PRODUCT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PRODUCTS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PROMOTION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PROMOTIONS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)PUBLIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)QUIMICOS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)REGION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)REGIONAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)RESEARCH([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)RESOURCE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)RESOURCES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)RURAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)S L([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SATELLITE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SCIENC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SCIENT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SCIENTIFIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SECURITE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SECURITY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SEMICONDUCTOR([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SEMICONDUCTORS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SENSOR([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SENSORS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)STEEL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SIGNAL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SILICON([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SIMULATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SISTEMI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SOFTWARE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SOLUTION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SOLUTIONS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SPACE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SPECIALES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SPECIALITY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SPORT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SPORTING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SYS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SYST([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SYSTE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SYSTEM([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SYSTEME([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SYSTEMS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)SYSTEMS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECHN([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECHNO([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECHNOL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECHNOLO([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECHNOLOG([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECHNOLOGI([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECHNOLOGIE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECHNOLOGIES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECHNOLOGY([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECNOLOGIA([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TECNOLOGIC([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TELECOM([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TELECOMM([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TELEFON([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TEMPERATURE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TEXTILE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)THERAPEUTICS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TOO([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TOOL([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TOOLS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TRADE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TRADE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TRADEMARK([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TRAINING([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TRANSFER([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TRANSPORT([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)TUBE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)ULTIMATE([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)VEHICLES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)VEHICULES([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)VERIFICATION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)VISION([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)WEB([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)WIRELESS([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)WORLD([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';

    -- COUNTRIES
    ELSEIF myString regexp('( |^)Afghanistan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Albania([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Algeria([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Andorra([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Angola([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Antigua & Deps([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Argentina([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Armenia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Australia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Austria([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Azerbaijan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Bahamas([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Bahrain([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Bangladesh([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Barbados([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Belarus([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Belgium([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Belize([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Benin([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Bhutan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Bolivia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Bosnia Herzegovina([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Botswana([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Brazil([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Brunei([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Bulgaria([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Burkina([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Burundi([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Cambodia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Cameroon([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Canada([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Cape Verde([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Central African Rep([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Chad([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Chile([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)China([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Colombia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Comoros([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Congo([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Congo {Democratic Rep}([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Costa Rica([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Croatia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Cuba([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Cyprus([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Czech Republic([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Denmark([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Djibouti([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Dominica([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Dominican Republic([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)East Timor([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Ecuador([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Egypt([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)El Salvador([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Equatorial Guinea([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Eritrea([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Estonia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Ethiopia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Fiji([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Finland([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)France([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Gabon([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Gambia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Georgia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Germany([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Ghana([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Greece([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Grenada([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Guatemala([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Guinea([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Guinea-Bissau([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Guyana([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Haiti([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Honduras([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Hungary([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Iceland([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)India([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Indonesia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Iran([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Iraq([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Ireland {Republic}([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Israel([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Italy([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Ivory Coast([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Jamaica([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Japan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Jordan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Kazakhstan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Kenya([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Kiribati([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Korea North([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Korea South([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Kosovo([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Kuwait([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Kyrgyzstan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Laos([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Latvia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Lebanon([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Lesotho([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Liberia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Libya([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Liechtenstein([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Lithuania([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Luxembourg([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Macedonia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Madagascar([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Malawi([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Malaysia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Maldives([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Mali([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Malta([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Marshall Islands([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Mauritania([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Mauritius([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Mexico([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Micronesia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Moldova([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Monaco([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Mongolia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Montenegro([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Morocco([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Mozambique([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Myanmar, {Burma}([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Namibia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Nauru([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Nepal([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Netherlands([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)New Zealand([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Nicaragua([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Niger([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Nigeria([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Norway([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Oman([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Pakistan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Palau([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Panama([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Papua New Guinea([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Paraguay([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Peru([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Philippines([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Poland([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Portugal([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Qatar([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Romania([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Russian Federation([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Rwanda([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)St Kitts & Nevis([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)St Lucia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Saint Vincent & the Grenadines([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Samoa([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)San Marino([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Sao Tome & Principe([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Saudi Arabia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Senegal([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Serbia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Seychelles([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Sierra Leone([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Singapore([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Slovakia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Slovenia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Solomon Islands([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Somalia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)South Africa([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)South Sudan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Spain([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Sri Lanka([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Sudan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Suriname([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Swaziland([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Sweden([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Switzerland([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Syria([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Taiwan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Tajikistan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Tanzania([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Thailand([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Togo([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Tonga([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Trinidad & Tobago([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Tunisia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Turkey([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Turkmenistan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Tuvalu([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Uganda([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Ukraine([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)United Arab Emirates([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)United Kingdom([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)United States([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Uruguay([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Uzbekistan([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Vanuatu([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Vatican City([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Venezuela([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Vietnam([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Yemen([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Zambia([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';
    ELSEIF myString regexp('( |^)Zimbabwe([^a-zA-Z0-9_]|$)') THEN SET  Tag = 'legal person';


    END IF;
RETURN Tag;
END;
$$
DELIMITER ;
